Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IReactorTime``

interface documentation

`class IReactorTime(Interface): (source)`

Known implementations: `twisted.internet.base.ReactorBase`, `twisted.internet.task.Clock`

View In Hierarchy

Time methods that a Reactor should implement.

Method | `callLater` | Call a function later.
Method | `getDelayedCalls` | See `twisted.internet.interfaces.IReactorTime.getDelayedCalls`
Method | `seconds` | Get the current time in seconds.

def callLater(delay: `float`, callable: `Callable[..., Any]`, *args: `object`, **kwargs: `object`) -> `IDelayedCall`: (source)

Call a function later.

Parameters
delay:`float` | the number of seconds to wait.
callable:`Callable[..., Any]` | the callable object to call later.
*args:`object` | the arguments to call it with.
**kwargs:`object` | the keyword arguments to call it with.
Returns
`IDelayedCall` | An object which provides `IDelayedCall` and can be used to cancel the scheduled call, by calling its `cancel()` method. It also may be rescheduled by calling its `delay()` or `reset()` methods.

def getDelayedCalls() -> `Sequence[IDelayedCall]`: (source)

See `twisted.internet.interfaces.IReactorTime.getDelayedCalls`

def seconds() -> `float`: (source)

Get the current time in seconds.

Returns
`float` | A number-like object of some sort.